import { BlockTag, EthCallData } from "./ethCall";
import { ChainQueryType, ChainSpecificQuery } from "./request";
export declare class EthCallWithFinalityQueryRequest implements ChainSpecificQuery {
    callData: EthCallData[];
    blockId: string;
    finality: string;
    constructor(blockId: BlockTag, finality: string, callData: EthCallData[]);
    type(): ChainQueryType;
    serialize(): Uint8Array;
}
